using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.SharePoint;

namespace RegisterEventHandlerSequence
{
    class Program
    {
        const string Assembly = "EventHandlerSequence, Version=1.0.0.0, Culture=neutral, PublicKeyToken=c045f28db8b4d865";
        const string ClassName = "EventHandlerSequence.Sequence";
        static void Main(string[] args)
        {

            if (args.Length != 4 || args[0] != "-url" || args[2] != "-list")
            {
                ShowUsage();
            }
            else
            {                
                try
                {
                    //Ce code enregistre tous les vnements commenant par Item (ItemAdding,ItemUpdating etc...)
                    SPList TargetList = new SPSite(args[1]).OpenWeb().Lists[args[3]];
                    foreach (SPEventReceiverType EventItem in Enum.GetValues(typeof(SPEventReceiverType)))
                    {
                        if (EventItem.ToString().Substring(0, 4) == "Item")
                        {
                            TargetList.EventReceivers.Add(EventItem, Assembly, ClassName);
                            Console.WriteLine("Evnement {0} associ", EventItem);
                        }
                    }             

                }
                catch(Exception ex)
                {
                    Console.WriteLine(ex.Message);
                }
            }           

            
        }
        static void ShowUsage()
        {
            Console.WriteLine("Usage:RegisterEventHandler -url <url u serveur> -list <votre liste>");
        }
    }
}
